Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.external.api.transport
Class FXCMLoginProperties

    java.lang.Object
      com.fxcm.external.api.transport.FXCMLoginProperties

    public class FXCMLoginProperties

extends Object

minimal login properties are in the consructor, additional optional properties are available via setters.

Constructor Summary
`FXCMLoginProperties(String aUserName, String aPassword, String aTerminal, String aServer)` These are the minimal requirements for a succesful connection, other properties of this class are optional.
`FXCMLoginProperties(String aUserName, String aPassword, String aTerminal, String aServer, String aConfigFile)` These are the minimal requirements for a succesful connection plus the path to a config file with other properties.

Method Summary
`void` | `addProperty(Object aKey, Object aValue)`
`String` | `getPassword()` Password associated with this properties class
`Properties` | `getProperties()` Properties associated with this properties class
`String` | `getServer()` Server name registered in this properties class
`String` | `getServiceName()`
`String` | `getTerminal()` Terminal registered in this properties class
`String` | `getUserName()` Username registered in this properties class
`void` | `setProperties(Properties aProperties)` Set the properties associated with this login connection
`void` | `setServiceName(String aServiceName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FXCMLoginProperties

    public FXCMLoginProperties(String aUserName,
                               String aPassword,
                               String aTerminal,
                               String aServer)

  These are the minimal requirements for a succesful connection, other properties of this class are optional.

  Parameters:
    `aUserName` - like "user"
    `aPassword` - like "pass"
    `aTerminal` - like "demo"
    `aServer` - like "server.fxcm.com:7777"

### FXCMLoginProperties

    public FXCMLoginProperties(String aUserName,
                               String aPassword,
                               String aTerminal,
                               String aServer,
                               String aConfigFile)

  These are the minimal requirements for a succesful connection plus the path to a config file with other properties.

  Parameters:
    `aUserName` - like "user"
    `aPassword` - like "pass"
    `aTerminal` - like "demo"
    `aServer` - like "server.fxcm.com:7777"
    `aConfigFile` - path to configfile cfg\test.cfg

Method Detail

### addProperty

    public void addProperty(Object aKey,
                            Object aValue)

### getPassword

    public String getPassword()

  Password associated with this properties class

  Returns:
    password

### getProperties

    public Properties getProperties()
                             throws IOException

  Properties associated with this properties class

  Returns:
    properties
  Throws:
    `IOException`

### setProperties

    public void setProperties(Properties aProperties)

  Set the properties associated with this login connection

  Parameters:
    `aProperties` -

### getServer

    public String getServer()

  Server name registered in this properties class

  Returns:
    server

### getServiceName

    public String getServiceName()

### setServiceName

    public void setServiceName(String aServiceName)

### getTerminal

    public String getTerminal()

  Terminal registered in this properties class

  Returns:
    terminal

### getUserName

    public String getUserName()

  Username registered in this properties class

  Returns:
    username

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.